## armel-cross-toolchain-base 1.50

=== debian/changelog ===
armel-cross-toolchain-base (1.50) maverick; urgency=low

  * mangle linux-libc-dev version to have crossVER added 

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 22 Sep 2010 08:48:30 +0200

armel-cross-toolchain-base (1.49) maverick; urgency=low

  * fix problem with translations archive

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Tue, 21 Sep 2010 21:16:45 +0200

armel-cross-toolchain-base (1.48) maverick; urgency=low

  [ Marcin Juszkiewicz ]
  * mangle versions to have crossVER added
  * do not generate gcc-4.5-*-base package
    * mangle libgcc1 to not need gcc-4.5-*-base and keep its documentation
    * libgcc1 keeps changelog of this package
  * use only generated debs for mangling debian/control debian/files
    - closes LP: #640298
  * adapt to recent change in linux-libc-dev version numbering

  [ Steve Langasek ]
  * make sure libgcc1-CROSS-dbg keeps a strict versioned dependency on
    libgcc1-CROSS
  * debian/rules: misc code deduplication in repack_debs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 20 Sep 2010 22:11:03 +0000

armel-cross-toolchain-base (1.47) maverick; urgency=low

  * This package is part of LP: #634494
  * Fixed DEB_NAME_ACT so it will not fail with "duplicated ancestry".
  * control: cleaned build dependencies (with help from Matthias Klose)
  * build binutils without checking dependencies - dejagnu is not needed for cross build
  * bump gcc-4.4/4.5 requirements, drop merged patches

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 13 Sep 2010 16:35:56 +0200

armel-cross-toolchain-base (1.46) maverick; urgency=low

  * Making improvements to package to get it accepted into Ubuntu.
    - added copyright informations
    - source/format: set to 3.0 (native)
    - added README.source with informations how package works
    - fixed linux-source dependency

  * debian/control changes:
    - generated new one with all build dependencies cleaned
    - added entries for generated packages
    - added Vcs- fields
    - removed regeneration of debian/control during build
    - set Priority to extra
    - set "Section: debug" for all -dbg packages
  
  * debian/rules:
    - dropped version mangling which was needed in ppa
    - dropped using architecture name from rules
    - use quilt to apply patches for gcc (for eglibc it generated conflicts
      during it's "debian/rules clean" step)
    - use "tar -xf" and depend on tar 1.20+

  * GCC changes:
    - updated gcc debian/control.m4 patch to fix all priority and section fields
    - all GCC patches are merged and will be present in next versions of
      gcc-4.4/4.5

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 10 Sep 2010 16:16:00 +0200

armel-cross-toolchain-base (1.45) maverick; urgency=low

  * first set of changes to get it accepted in archive

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Thu, 09 Sep 2010 15:51:38 +0200

armel-cross-toolchain-base (1.44) maverick; urgency=low

  * switch version mangling to use '-ppa' in a-c-t-b and a-c-t

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 08 Sep 2010 09:35:08 +0200

armel-cross-toolchain-base (1.43) maverick; urgency=low

  * mangle dependencies in packages

 -- Marcin Juszkiewicz <marcin@juszkiewicz.com.pl>  Tue, 07 Sep 2010 15:49:06 +0200

armel-cross-toolchain-base (1.42) maverick; urgency=low

  * fix versions also inside of package
  * joined step which mangle debian files

 -- Marcin Juszkiewicz <marcin@juszkiewicz.com.pl>  Tue, 07 Sep 2010 13:55:39 +0200

armel-cross-toolchain-base (1.41) maverick; urgency=low

  * generate debian/files from mangled packages - dpkg-genchanges works
    properly
  * created some functions instead of duplication of code
    * generation of debian/files
    * generation of debian/control
    * repacking debs

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Tue, 07 Sep 2010 12:25:04 +0200

armel-cross-toolchain-base (1.40) maverick; urgency=low

  * working version of version mangling

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Tue, 07 Sep 2010 10:40:29 +0200

armel-cross-toolchain-base (1.39) maverick; urgency=low

  * added mangling of versions to pass LP upload scripts

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 06 Sep 2010 16:24:28 +0200

armel-cross-toolchain-base (1.38) maverick; urgency=low

  * apply fix for LP: 631474 (wrong name of gcc-4.5-plugin-dev package)
  * drop not needed "-nc" switch from eglibc build

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 06 Sep 2010 13:25:14 +0200

armel-cross-toolchain-base (1.37) maverick; urgency=low

  * there is no build-indep anymore
  * do not rebuild eglibc - fix from Steve Langasek
  * gcc patch got merged - drop it
  * updated dependencies on gcc-4.5-source and eglibc-source

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 06 Sep 2010 10:52:44 +0200

armel-cross-toolchain-base (1.36) maverick; urgency=low

  * fixed missing 'build-arch' target 

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 03 Sep 2010 17:28:38 +0200

armel-cross-toolchain-base (1.35) maverick; urgency=low

  * eglibc no longer needs to be patched for stages support

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 03 Sep 2010 16:51:26 +0200

armel-cross-toolchain-base (1.34) maverick; urgency=low

  * gcc-*-base is ARCH not all

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 03 Sep 2010 16:22:32 +0200

armel-cross-toolchain-base (1.33) maverick; urgency=low

  * Version bump. 

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 03 Sep 2010 12:39:55 +0200

armel-cross-toolchain-base (1.32) maverick; urgency=low

  * binary-arch builds only binutils - rest is binary-indep

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 03 Sep 2010 10:38:31 +0200

armel-cross-toolchain-base (1.31) maverick; urgency=low

  * split $ARCH and arch:all packages work into separate steps

