=== debian/rules ===
#!/usr/bin/make -f

VER_GCC_BASE=4.5

DEB_NAME_ACT     := $(shell dpkg-parsechangelog| sed -n 's/-*//; s/^Source: \(.*\)/\1/p')
DEB_VER_ACT      := $(shell dpkg-parsechangelog| sed -n 's/-[^-]*//; s/^Version: \(.*\)/\1/p')
VER_LINUX        := 2.6.35#$(shell dpkg-parsechangelog -l/usr/src/linux-source-${VER_LINUX}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-')
DEB_VER_LINUX    := $(shell dpkg-parsechangelog -l/usr/src/linux-source-${VER_LINUX}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')
VER_GCC          := $(shell dpkg-parsechangelog -l/usr/src/gcc-${VER_GCC_BASE}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-')
DEB_VER_GCC      := $(shell dpkg-parsechangelog -l/usr/src/gcc-${VER_GCC_BASE}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')
VER_EGLIBC       := $(shell dpkg-parsechangelog -l/usr/src/glibc/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-')
DEB_VER_EGLIBC   := $(shell dpkg-parsechangelog -l/usr/src/glibc/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')
VER_BINUTILS     := $(shell dpkg-parsechangelog -l/usr/src/binutils/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-'|cut -d '.' -f1-3)
PKG_VER_BINUTILS := $(shell dpkg-parsechangelog -l/usr/src/binutils/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-')
DEB_VER_BINUTILS := $(shell dpkg-parsechangelog -l/usr/src/binutils/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')

CROSS_ARCH       := $(shell dpkg-parsechangelog| sed -n 's/-[^-]*//; s/^Source: \(.*\)-.*-.*/\1/p')
CROSS_GNU_TYPE   := $(shell dpkg-architecture -a${CROSS_ARCH} -qDEB_HOST_GNU_TYPE -f)
HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
HOST_GNU_TYPE    := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
stamp            := stamp-dir/

# taken from gcc packaging
define unpack_tarball
	tar -x -f $1
endef

info:
	@echo "Binutils version:         ${VER_BINUTILS}	${DEB_VER_BINUTILS}	${PKG_VER_BINUTILS}"
	@echo "GCC version:              ${VER_GCC}     	${DEB_VER_GCC}          ${VER_GCC_BASE}"
	@echo "Eglibc version:           ${VER_EGLIBC}  	${DEB_VER_EGLIBC}"
	@echo "Linux version:            ${VER_LINUX}   	${DEB_VER_LINUX}"
	@echo
	@echo "Target architecture:      ${CROSS_ARCH}"
	@echo "Target GNU type:          ${CROSS_GNU_TYPE}"
	@echo "Host architecture:        ${HOST_ARCH}"
	@echo "Host GNU type:            ${HOST_GNU_TYPE}"

$(stamp)init-dirs:
	mkdir debian/tmp -p
	touch $@

$(stamp)init-linux:
	$(call unpack_tarball, /usr/src/linux-source-${VER_LINUX}/linux-source-${VER_LINUX}.tar.bz2)
	cp -a /usr/src/linux-source-${VER_LINUX}/debian linux-source-${VER_LINUX}/debian
	cp -a /usr/src/linux-source-${VER_LINUX}/debian.master linux-source-${VER_LINUX}/debian.master
	cd linux-source-${VER_LINUX} && \
	fakeroot make -f debian/rules clean
	touch $@

$(stamp)build-linux: $(stamp)init-linux
	set -e; \
	cd linux-source-${VER_LINUX} ;\
	DEB_STAGE=stage1 NO_PKG_MANGLE=1 dpkg-buildpackage -b -uc -us -a${CROSS_ARCH}
	touch $@

$(stamp)install-linux: $(stamp)build-linux $(stamp)init-dirs
	dpkg-deb -x linux-libc-dev_${VER_LINUX}-*_${CROSS_ARCH}.deb debian/tmp
	touch $@

$(stamp)init-binutils:
	$(call unpack_tarball, /usr/src/binutils/binutils-${VER_BINUTILS}.tar.xz)
	cd binutils-${PKG_VER_BINUTILS} ;\
	cp -a /usr/src/binutils/debian/ . ;\
	echo ${CROSS_ARCH} > debian/target
	touch $@

$(stamp)build-binutils: $(stamp)init-binutils
	set -e ;\
	cd binutils-${PKG_VER_BINUTILS} ;\
	PATCHED_SOURCES=yes NO_PKG_MANGLE=1 dpkg-buildpackage -b -uc -us -nc -d
	# binutils wants dejagnu to generate docs which are not generate during cross build
	touch $@

$(stamp)install-binutils: $(stamp)build-binutils $(stamp)init-dirs
	dpkg-deb -x binutils-${CROSS_GNU_TYPE}_${DEB_VER_BINUTILS}_${HOST_ARCH}.deb debian/tmp
	touch $@

$(stamp)init-gcc:
	mkdir gcc -p ; \
	cd gcc ; \
	ln -sf /usr/src/gcc-${VER_GCC_BASE}/gcc-${VER_GCC}.tar.xz gcc-${VER_GCC}.tar.xz ;\
	cp -a  /usr/src/gcc-${VER_GCC_BASE}/debian/ . ; \
	cp -a  /usr/src/gcc-${VER_GCC_BASE}/patches debian/; \
	echo ${CROSS_ARCH} >debian/target
	touch $@

$(stamp)build-gcc1: $(stamp)init-gcc $(stamp)install-binutils
	export PATH=${CURDIR}/debian/tmp/usr/bin/:${PATH} ;\
	export LD_LIBRARY_PATH=${CURDIR}/debian/tmp/usr/$(HOST_GNU_TYPE)/${CROSS_GNU_TYPE}/lib/ ;\
	cd gcc && DEB_STAGE=stage1 NO_PKG_MANGLE=1 dpkg-buildpackage -b -uc -us -d
	touch $@

$(stamp)install-gcc1: $(stamp)build-gcc1
	dpkg-deb -x gcc-${VER_GCC_BASE}-${CROSS_GNU_TYPE}_${DEB_VER_GCC}_${HOST_ARCH}.deb debian/tmp
	dpkg-deb -x cpp-${VER_GCC_BASE}-${CROSS_GNU_TYPE}_${DEB_VER_GCC}_${HOST_ARCH}.deb debian/tmp
	cd debian/tmp/usr/bin/ ; \
	ln -sf ${CROSS_GNU_TYPE}-gcc-${VER_GCC_BASE} ${CROSS_GNU_TYPE}-gcc ; \
	ln -sf ${CROSS_GNU_TYPE}-cpp-${VER_GCC_BASE} ${CROSS_GNU_TYPE}-cpp ; \
	ln -sf ${CROSS_GNU_TYPE}-gcov-${VER_GCC_BASE} ${CROSS_GNU_TYPE}-gcov
	touch $@

$(stamp)build-gcc2: $(stamp)init-gcc $(stamp)install-eglibc1
	export PATH=${CURDIR}/debian/tmp/usr/bin/:${PATH} ;\
	export LD_LIBRARY_PATH=${CURDIR}/debian/tmp/usr/$(HOST_GNU_TYPE)/${CROSS_GNU_TYPE}/lib/:${CURDIR}/debian/tmp/usr/lib:${CURDIR}/debian/tmp/lib ;\
	cd gcc && WITH_BUILD_SYSROOT=${CURDIR}/debian/tmp DEB_STAGE=stage2 NO_PKG_MANGLE=1 dpkg-buildpackage -b -uc -us -d
	touch $@

$(stamp)install-gcc2: $(stamp)build-gcc2
	dpkg-deb -x gcc-${VER_GCC_BASE}-${CROSS_GNU_TYPE}_${DEB_VER_GCC}_${HOST_ARCH}.deb debian/tmp
	dpkg-deb -x cpp-${VER_GCC_BASE}-${CROSS_GNU_TYPE}_${DEB_VER_GCC}_${HOST_ARCH}.deb debian/tmp
	cd debian/tmp/usr/bin/ ; \
	ln -sf ${CROSS_GNU_TYPE}-gcc-${VER_GCC_BASE} ${CROSS_GNU_TYPE}-gcc ; \
	ln -sf ${CROSS_GNU_TYPE}-cpp-${VER_GCC_BASE} ${CROSS_GNU_TYPE}-cpp ; \
	ln -sf ${CROSS_GNU_TYPE}-gcov-${VER_GCC_BASE} ${CROSS_GNU_TYPE}-gcov
	touch $@

$(stamp)init-eglibc:
	rm -rf eglibc-${VER_EGLIBC}
	$(call unpack_tarball, /usr/src/glibc/eglibc-${VER_EGLIBC}.tar.xz)
	cd eglibc-${VER_EGLIBC} ; \
	cp -a /usr/src/glibc/debian/ .; \
	patch <${CURDIR}/debian/patches/eglibc/local-kill-locales.patch -p1 ;\
	patch <${CURDIR}/debian/patches/eglibc/local-no-notneeded-packages.patch -p1
	touch $@

$(stamp)build-eglibc1: $(stamp)init-eglibc $(stamp)install-linux $(stamp)install-gcc1
	export PATH=${CURDIR}/debian/tmp/usr/bin/:${PATH} ;\
	export LD_LIBRARY_PATH=${CURDIR}/debian/tmp/usr/$(HOST_GNU_TYPE)/${CROSS_GNU_TYPE}/lib/ ;\
	export LINUX_SOURCE=${CURDIR}/debian/tmp/usr ;\
	cd eglibc-${VER_EGLIBC} ;\
	PATCHED_SOURCES=yes WITH_BUILD_SYSROOT=${CURDIR}/debian/tmp DEB_STAGE=stage1 NO_PKG_MANGLE=1 dpkg-buildpackage -b -uc -us -a${CROSS_ARCH}
	touch $@

$(stamp)install-eglibc1: $(stamp)build-eglibc1
	dpkg-deb -x libc6-dev_${DEB_VER_EGLIBC}_${CROSS_ARCH}.deb debian/tmp
	touch $@

$(stamp)build-eglibc2: $(stamp)init-eglibc $(stamp)install-gcc2
	export PATH=${CURDIR}/debian/tmp/usr/bin/:${PATH} ;\
	export LD_LIBRARY_PATH=${CURDIR}/debian/tmp/usr/$(HOST_GNU_TYPE)/${CROSS_GNU_TYPE}/lib/ ;\
	export LINUX_SOURCE=${CURDIR}/debian/tmp/usr ;\
	export DEB_BUILD_OPTIONS="nocheck notest notests" ; \
	cd eglibc-${VER_EGLIBC} && PATCHED_SOURCES=yes WITH_BUILD_SYSROOT=${CURDIR}/debian/tmp NO_PKG_MANGLE=1 dpkg-buildpackage -b -uc -us -a${CROSS_ARCH}
	touch $@
	
clean:
	rm -rf linux-source-${VER_LINUX}
	rm -rf eglibc-${VER_EGLIBC}
	rm -rf gcc
	rm -rf binutils-${PKG_VER_BINUTILS}
	rm -rf debian/tmp
	rm -rf $(stamp)
	mkdir $(stamp)

DEB_LIST_ARCH = \
           binutils-${CROSS_GNU_TYPE}_${PKG_VER_BINUTILS}-*_${HOST_ARCH}.deb

DEB_LIST_ALL = \
           libc6-${CROSS_ARCH}-cross_${VER_EGLIBC}-*_all.deb  \
           libc6-dbg-${CROSS_ARCH}-cross_${VER_EGLIBC}-*_all.deb  \
           libc6-dev-${CROSS_ARCH}-cross_${VER_EGLIBC}-*_all.deb  \
           linux-libc-dev-${CROSS_ARCH}-cross_${VER_LINUX}-*_all.deb  \
           libgcc1-${CROSS_ARCH}-cross_${DEB_VER_GCC}_all.deb  \
           libgcc1-dbg-${CROSS_ARCH}-cross_${DEB_VER_GCC}_all.deb  \

#
# I want libgcc1 to contain changelog etc which normally are in gcc-4.5-*-base package
