## armel-cross-toolchain-base 1.52

=== debian/changelog ===
armel-cross-toolchain-base (1.52) maverick-proposed; urgency=low

  * build binutils without sysroot support - closes LP: #598389

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 06 Oct 2010 14:46:16 +0200

armel-cross-toolchain-base (1.51) maverick; urgency=low

  * debian/rules: add epoch for libgcc1-dbg version mangling - closes 
    LP: #646729

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 06 Oct 2010 14:45:04 +0200
