=== debian/rules ===
--- 
+++ 
@@ -62,12 +62,24 @@
 	$(call unpack_tarball, /usr/src/binutils/binutils-${VER_BINUTILS}.tar.xz)
 	cd binutils-${PKG_VER_BINUTILS} ;\
 	cp -a /usr/src/binutils/debian/ . ;\
-	echo ${CROSS_ARCH} > debian/target
+	echo ${CROSS_ARCH} > debian/target;
 	touch $@
 
 $(stamp)build-binutils: $(stamp)init-binutils
 	set -e ;\
 	cd binutils-${PKG_VER_BINUTILS} ;\
+	WITH_SYSROOT=${CURDIR}/debian/tmp PATCHED_SOURCES=yes NO_PKG_MANGLE=1 dpkg-buildpackage -b -uc -us -nc -d
+	# binutils wants dejagnu to generate docs which are not generate during cross build
+	touch $@
+
+$(stamp)build-final-binutils: $(stamp)install-binutils
+	set -e ;\
+	rm -rf binutils-${PKG_VER_BINUTILS}
+	$(call unpack_tarball, /usr/src/binutils/binutils-${VER_BINUTILS}.tar.xz)
+	cd binutils-${PKG_VER_BINUTILS} ;\
+	cp -a /usr/src/binutils/debian/ . ;\
+	echo ${CROSS_ARCH} > debian/target; \
+	QUILT_PATCHES=${CURDIR}/debian/patches/binutils quilt push -a; \
 	PATCHED_SOURCES=yes NO_PKG_MANGLE=1 dpkg-buildpackage -b -uc -us -nc -d
 	# binutils wants dejagnu to generate docs which are not generate during cross build
 	touch $@
@@ -150,19 +162,8 @@
 	rm -rf gcc
 	rm -rf binutils-${PKG_VER_BINUTILS}
 	rm -rf debian/tmp
+	rm -f *.deb *.changes
 	rm -rf $(stamp)
 	mkdir $(stamp)
 
 DEB_LIST_ARCH = \
-           binutils-${CROSS_GNU_TYPE}_${PKG_VER_BINUTILS}-*_${HOST_ARCH}.deb
-
-DEB_LIST_ALL = \
-           libc6-${CROSS_ARCH}-cross_${VER_EGLIBC}-*_all.deb  \
-           libc6-dbg-${CROSS_ARCH}-cross_${VER_EGLIBC}-*_all.deb  \
-           libc6-dev-${CROSS_ARCH}-cross_${VER_EGLIBC}-*_all.deb  \
-           linux-libc-dev-${CROSS_ARCH}-cross_${VER_LINUX}-*_all.deb  \
-           libgcc1-${CROSS_ARCH}-cross_${DEB_VER_GCC}_all.deb  \
-           libgcc1-dbg-${CROSS_ARCH}-cross_${DEB_VER_GCC}_all.deb  \
-
-#
-# I want libgcc1 to contain changelog etc which normally are in gcc-4.5-*-base package
