## armel-cross-toolchain-base 1.62

=== debian/changelog ===
armel-cross-toolchain-base (1.62) natty; urgency=low

  * Fixed build to work with co-installable (multiarched) linux-libc-dev
    headers. LP: #750585.
  * Added copyright, changelog files into eglibc and linux cross packages
    LP: #755329
  * Changed dependencies from -1 -> -1~ to make lintian more happy.
  * Debian changes:
    - switched to gcc 4.6 under Debian
    - moved definition of GCC versions to distro parts
    - gcc-4.6: disable libquadmath for stages - sent for review/merge
    - fixed minimal version of binutils to Debian one
    - moved to 2.6.38 kernel
    - refreshed linux and eglibc patches
    - updated copy of linux-2.6 packaging to 2.6.38-3

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 13 Apr 2011 17:45:44 +0200

armel-cross-toolchain-base (1.61build1) natty; urgency=low

  * No-change rebuild against current gcc-4.5-source.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Apr 2011 07:11:08 -0700

armel-cross-toolchain-base (1.61) natty; urgency=low

  * "Say good bye to update-alternatives" release
  * switch to symlinks for default cross gcc version - LP: #676454
    - this will require newer gcc-defaults-armel-cross release
    - bumped gcc-4.5-source dependency to 4.5.2-8~
  * added 'init' task into debian/rules to make testing does patches apply
    easier
  * added section for libc6-dev-armel-cross because dpkg-cross 2.6.0+ keeps
    section instead of overwriting
  * dropped all patches which were merged into binutils and gcc-4.5
  * refreshed eglibc patches to apply - LP: #749180
  * added patch to eglibc to revert 2.13-0ubuntu10 change:
    "* Provide compatibility symlinks for .o files in /usr/lib. LP: #744908."
    this is needed for native builds but not for current cross

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 04 Apr 2011 11:57:12 +0200

armel-cross-toolchain-base (1.60) natty; urgency=low

  * multiarch related changes
    - require dpkg-cross 2.6.3 to handle multiarch packages - LP: #736154 and
    LP: #739151
    - require dpkg 0.16.0 for working dpkg-shlibdeps
  * gcc-4.5 patches:
    - disabled build of plugin-dev
  * merged Steve Langasek changes (1.59)
    - Fix up build to work with current eglibc debian/rules.
  * changes related to pkgsym ddebs:
    - clean step removes a bit more - *.ddeb & debian/files
    - rules: use wildcard instead of listing files to mangle
    - create -dbgsym package and strip libraries - LP: #711523
    - files from gcc/debian/gcc-4.5-*-base dir are used as we do not have
      gcc-4.5-*-base package anymore
  * Merged Debian/Ubuntu/Linaro backport PPA rules
    - downgraded build-dependencies to Debian level (where possible)
    - separate patches for eglibc/Debian and eglibc/Ubuntu
    - fixed handling of eglibc and gcc documentation in Debian
    - backported some patches from eglibc/Ubuntu to eglibc/Debian
      - stages support
      - PATCHED_SOURCES support
    - backported some patches from linux/Ubuntu to linux/Debian
      - stages support
    - use separate 'series' files for patches/linux and patches/eglibc
    - dropped eglibc/lucid-force-gcc-4.4.patch as it is integrated in eglibc backport
    - switched to quilt for patching eglibc (.pc dir is removed after patching)
    - PPA build can be enabled by touching debian/ppa file
  * moved code which installs gcc into common function
  * dropped binutils patch which was needed for 2.21 (bumped to 2.21.0.20110216)
  * dropped code to regenerate debian/control - it was buggy and never finished
  * added new rule to generate debian/control file (handles Debian and Ubuntu for
    now)

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Tue, 29 Mar 2011 11:13:35 +0200

armel-cross-toolchain-base (1.59) natty; urgency=low

  * Fix up build to work with current eglibc debian/rules.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 26 Feb 2011 18:10:27 -0800

armel-cross-toolchain-base (1.58+build1) natty; urgency=low

  * No-change rebuild against current gcc-4.5.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 26 Feb 2011 15:21:14 -0800

armel-cross-toolchain-base (1.58) natty; urgency=low

  * update to use 2.6.38 kernel

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 31 Jan 2011 13:39:56 +0100

armel-cross-toolchain-base (1.57) natty; urgency=low

  * use PKG_IGNORE_CURRENTLY_BUILDING instead of NO_PKG_MANGLE to allow
    to generate .ddebs
  * control: remove alternatives dependencies - they are PPA backports only
  * control: re-added Vcs-* entries
  * merged changes from PPA backport:
    - depend on dpkg-cross >= 2.5.8 to get rid of double Provides: lines
      (lucid problem)
    - binutils: (re-)apply patch from Ubuntu to fix FTFBS (needed only for
      PPA, fails to apply in natty but we can ignore that)
    - rules: use gcc 4.4 to build eglibc (lucid lacks gcc-4.5)
    - rules: handle PPA versions of this package in DEB_VER_ACT variable
    - rules: bumped hardcoded component versions to recent one

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 26 Jan 2011 14:38:34 +0100

armel-cross-toolchain-base (1.56) natty; urgency=low

  * Rebuild with gcc 4.5.2

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Tue, 21 Dec 2010 10:44:17 +0100

armel-cross-toolchain-base (1.55) natty; urgency=low

  * Updated build dependencies:
    - binutils 2.21 as gold-cross.patch got merged - LP: #686530
    - gcc-4.5 4.5.1-12 as armv7a optimizations patch got merged - LP: #684625

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Tue, 14 Dec 2010 10:31:43 +0100

armel-cross-toolchain-base (1.54) natty; urgency=low

   * merged support to build for PPA backport
     - PPA=true means build is for PPA
       - other version of patch for eglibc will be used
       - versioned binutils/eglibc/gcc-4.5 releases will be used
       - set exact versions of binutils/eglibc/gcc
       - linux-source is not covered by PPA variable because it has different

