=== debian/control ===
--- 
+++ 
@@ -4,24 +4,28 @@
 #Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Maintainer: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>
 Standards-Version: 3.9.1
-Build-Depends: dpkg-cross, binutils-multiarch (>= 2.20.1-13~),
-  binutils-source (>= 2.20.51.20100710-1ubuntu2), eglibc-source (>= 2.12.1-0ubuntu2),
-  gcc-4.5-source (>= 4.5.1-6~),
-  linux-source-2.6.35 (>= 2.6.35-14.20) | linux-source-2.6 (>= 2.6.35-14.20),
+Build-Depends: dpkg-cross (>= 2.6.3), binutils-multiarch (>= 2.20.1-3~),
+  dpkg (>= 0.16.0~ubuntu6),
+  binutils-source (>= 2.21.0.20110327-2~),
+  eglibc-source (>= 2.13-0),
+  gcc-4.5-source (>= 4.5.2-8~),
+  linux-source-2.6.38 (>= 2.6.38-1~),
+  gcc-4.4, g++-4.4,
   autoconf (>= 2.64), autoconf2.64, autogen, automake (<< 1:1.12),
   automake (>= 1:1.11), bison (>= 1:2.3), chrpath, debhelper (>= 5.0.62),
-  dpkg-dev (>= 1.15.3.1), file, flex,
-  g++-multilib [amd64 i386 mips mipsel powerpc ppc64 s390 sparc kfreebsd-amd64],
-  gawk, gettext, gperf (>= 3.0.1), kernel-wedge (>= 2.24ubuntu1),
-  libcloog-ppl-dev (>= 0.15.9-2~), libelfg0-dev (>= 0.8.12), libmpc-dev,
+  dpkg-dev (>= 1.15.3.1), fakeroot, file, flex,
+  gawk, gettext, gperf (>= 3.0.1), kernel-wedge (>= 2.24),
+  libcloog-ppl-dev (>= 0.15.8-1~), libelfg0-dev (>= 0.8.12), libmpc-dev,
   libmpfr-dev (>= 2.3.0), libtool, lsb-release, lzma, m4,
-  make (>= 3.81), makedumpfile [amd64 i386], module-init-tools,
+  make (>= 3.81), module-init-tools,
   patchutils, procps, quilt, realpath (>= 1.9.12),
   sed (>= 4.0.5-4), sharutils, tar (>= 1.22), xz-utils,
   asciidoc, texinfo, texi2html
-Build-Conflicts: binutils-gold, findutils (= 4.4.1-1ubuntu1)
-Vcs-Browser: https://code.edge.launchpad.net/~ubuntu-branches/ubuntu/maverick/armel-cross-toolchain-base/maverick
+Build-Conflicts: binutils-gold, binutils-arm-linux-gnueabi
+Vcs-Browser: https://code.launchpad.net/~ubuntu-branches/ubuntu/natty/armel-cross-toolchain-base/natty
 Vcs-bzr: lp:ubuntu/armel-cross-toolchain-base
+#Vcs-Browser: http://git.linaro.org/gitweb?p=people/hrw/cross-toolchain-packaging.git;a=shortlog;h=refs/heads/debian/experimental/armel-cross-toolchain-base
+#Vcs-git: git://git.linaro.org/people/hrw/cross-toolchain-packaging.git
 
 Package: binutils-arm-linux-gnueabi
 Architecture: amd64 i386
@@ -35,6 +39,7 @@
 
 Package: libc6-armel-cross
 Architecture: all
+Section: libs
 Depends: ${misc:Depends}
 Description: Embedded GNU C Library: Shared libraries (for cross-compiling)
  This package was generated by dpkg-cross for cross compiling.
@@ -46,7 +51,7 @@
 Package: libc6-dbg-armel-cross
 Architecture: all
 Depends: ${misc:Depends}
-Section: devel
+Section: debug
 Description: Embedded GNU C Library: detached debugging symbols (for cross-compiling)
  This package was generated by dpkg-cross for cross compiling.
  .
@@ -55,6 +60,7 @@
 
 Package: libc6-dev-armel-cross
 Architecture: all
+Section: libdevel
 Depends: ${misc:Depends}
 Conflicts: binutils-armel-cross (<< 2.20.1-1), binutils-gold-armel-cross (<< 2.20.1-11)
 Description: Embedded GNU C Library: Development Libraries and Header Files (for cross-compiling)
