=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 #Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Maintainer: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>
 Standards-Version: 3.9.1
-Build-Depends: dpkg-cross (>= 2.6.3), binutils-multiarch (>= 2.20.1-3~),
-  dpkg (>= 0.16.0~ubuntu6),
+Build-Depends: dpkg-cross (>= 2.6.5), binutils-multiarch (>= 2.20.1-3~),
+  dpkg (>= 1.16.0~ubuntu6),
   binutils-source (>= 2.21.0.20110327-2~),
-  eglibc-source (>= 2.13-0),
-  gcc-4.5-source (>= 4.5.2-8~),
-  linux-source-2.6.38 (>= 2.6.38-1~),
-  gcc-4.4, g++-4.4,
+  eglibc-source (>= 2.13-0~),
+  gcc-4.6-source (>= 4.6.1-6~),
+  linux-source (>= 3.0.0-0~),
+  gcc-4.4, g++-4.4, gcc-4.5, g++-4.5,
   autoconf (>= 2.64), autoconf2.64, autogen, automake (<< 1:1.12),
   automake (>= 1:1.11), bison (>= 1:2.3), chrpath, debhelper (>= 5.0.62),
   dpkg-dev (>= 1.15.3.1), fakeroot, file, flex,
@@ -22,10 +22,8 @@
   sed (>= 4.0.5-4), sharutils, tar (>= 1.22), xz-utils,
   asciidoc, texinfo, texi2html
 Build-Conflicts: binutils-gold, binutils-arm-linux-gnueabi
-Vcs-Browser: https://code.launchpad.net/~ubuntu-branches/ubuntu/natty/armel-cross-toolchain-base/natty
-Vcs-bzr: lp:ubuntu/armel-cross-toolchain-base
-#Vcs-Browser: http://git.linaro.org/gitweb?p=people/hrw/cross-toolchain-packaging.git;a=shortlog;h=refs/heads/debian/experimental/armel-cross-toolchain-base
-#Vcs-git: git://git.linaro.org/people/hrw/cross-toolchain-packaging.git
+Vcs-Browser: http://git.linaro.org/gitweb?p=people/hrw/cross-toolchain-packaging.git;a=shortlog;h=refs/heads/debian/experimental/armel-cross-toolchain-base
+Vcs-git: git://git.linaro.org/people/hrw/cross-toolchain-packaging.git
 
 Package: binutils-arm-linux-gnueabi
 Architecture: amd64 i386
@@ -103,3 +101,24 @@
  are used by the installed headers for GNU glibc and other system
  libraries. They are NOT meant to be used to build third-party modules for
  your kernel. Use linux-headers-* packages for that.
+
+Package: libc6-dev-armel-armhf-cross
+Architecture: all
+Depends: libc6-dev-armel-cross
+Description: Dummy package to get libc6-dev:armel installed
+
+Package: libc6-dev-armhf-armel-cross
+Architecture: all
+Depends: libc6-dev-armhf-cross
+Description: Dummy package to get libc6-dev:armhf installed
+
+Package: libc6-armel-armhf-cross
+Architecture: all
+Depends: libc6-armel-cross
+Description: Dummy package to get libc6:armel installed
+
+Package: libc6-armhf-armel-cross
+Architecture: all
+Depends: libc6-armhf-cross
+Description: Dummy package to get libc6:armhf installed
+
